Bug 630481 - Review Request: rubygem-ruby-debug - Command line interface (CLI) for ruby-debug-base
Review Request: rubygem-ruby-debug - Command line interface (CLI) for ruby-de...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
:
: 532306 (view as bug list)
Depends On: 630480
Blocks: 566536
  Show dependency treegraph
 
Reported: 2010-09-05 16:53 EDT by Mamoru TASAKA
Modified: 2010-09-09 13:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 13:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mastahnke: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-09-05 16:53:34 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-debug/rubygem-ruby-debug.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-debug/rubygem-ruby-debug-0.10.4-0.1.rc1.fc.src.rpm
Description: 

ruby-debug is a fast implementation of the standard debugger debug.rb.
The faster execution speed is achieved by utilizing a new hook in the
Ruby C API.

This package contains a generic command line interface for ruby-debug-base.

! Note
This package depends on another review request bug 630480 , so
currently no scratch build on koji is available.

Mock build for F-14 is locally tested:
http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-debug/mockresult-F14-rubygem-ruby-debug.log
Comment 1 Mamoru TASAKA 2010-09-05 16:55:28 EDT
*** Bug 532306 has been marked as a duplicate of this bug. ***
Comment 2 Michael Stahnke 2010-09-07 13:58:29 EDT
The name of these packages is a little odd.  According to the ruby packaging guidelines, you are allowed to remove ruby in the gem title since the package is called rubygem-foo.  It's optional, but feels weird typing rubygem-ruby-debug-base and rubygem-ruby-debug, rather than just rubygem-debug.  



Normally, I would either change permissions or edit out the shebang of the files for the tests.  rpmlint is giving Errors for those. I see in your spec you noted that removing the shebang causes issues, does changing the permissions?

rubygem-ruby-debug-doc.noarch: E: devel-dependency rubygem-ruby-debug
Your package has a dependency on a devel package but it's not a devel package
itself. 

I am not sure how that error works.  I don't think I have seen that one before. 

http://fedoraproject.org/wiki/Common_Rpmlint_issues does not contain more information on that error.  I would imagine it is ok since it is a ruby package, and not a C library-devel type package. 



 rpmlint *rpm
rubygem-ruby-debug.noarch: W: spelling-error %description -l en_US rb -> br, Rb, r
rubygem-ruby-debug.noarch: W: no-manual-page-for-binary rdebug
rubygem-ruby-debug.src: W: spelling-error %description -l en_US rb -> br, Rb, r
rubygem-ruby-debug.src:57: W: macro-in-comment %setup
rubygem-ruby-debug.src: W: no-buildroot-tag
rubygem-ruby-debug-doc.noarch: E: devel-dependency rubygem-ruby-debug
rubygem-ruby-debug-doc.noarch: W: no-documentation
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/thread1.rb 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/trunc-call.rb 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/ruby-debug-0.10.4rc1/ri/Debugger/ParseFunctions/syntax_valid%3f-i.yaml %3f
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/cli/commands/catchpoint_test.rb 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/base/reload_bug.rb 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: E: wrong-script-interpreter /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/pm.rb /ursr/bin/env
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/base/load.rb 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/data/quit.right
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/Rakefile 0644L /usr/bin/env
rubygem-ruby-debug-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/ruby-debug-0.10.4rc1/test/gcd.rb 0644L /usr/bin/env
Comment 3 Mamoru TASAKA 2010-09-07 15:58:38 EDT
(In reply to comment #2)
> The name of these packages is a little odd.  According to the ruby packaging
> guidelines, you are allowed to remove ruby in the gem title since the package
> is called rubygem-foo.  It's optional, but feels weird typing
> rubygem-ruby-debug-base and rubygem-ruby-debug, rather than just rubygem-debug. 
> 

- Well, actually this naming rule is for "ruby-foo", not "rubygem-bar".
  For rubygem-based packages, we just say:
  "Packages that contain Ruby Gems must be called 
   rubygem-%{gemname} where gemname is the name from the Gem's 
   specification."

  The rationale behind removing additional "ruby" string for "ruby-foo-ruby"
  package (I believe) is that usually the module in "ruby-foo-ruby" is 
  imported with "require 'foo'", not "require 'foo-ruby'",

  For rubygem based packages, this is different, because the module name
  is actually "ruby-bar" or "bar-ruby", as used in
  - $ gem contents baz
    or $ ruby -rubygems -e 'gem "baz"'.

> Normally, I would either change permissions or edit out the shebang of the
> files for the tests.  rpmlint is giving Errors for those. I see in your spec
> you noted that removing the shebang causes issues, does changing the
> permissions?

- I don't think adding executable permission does not make sense
  - because these scripts are not meant for being executed directly
    (Usually I would remove shebangs for this case, however with this
     $ rake test actually fails)
  - and actually one script has (intentionally) wrong shebang.

> rubygem-ruby-debug-doc.noarch: E: devel-dependency rubygem-ruby-debug
> Your package has a dependency on a devel package but it's not a devel package
> itself. 
> 
> I am not sure how that error works.  I don't think I have seen that one before. 

- From rpmlint source codes, this error is raised up because 
  -doc subpackage has the dependency for a package the name of
  which ends with "debug"
  ("devel_regex" in /usr/share/rpmlint/FilesCheck.py)
Comment 4 Michael Stahnke 2010-09-07 16:09:16 EDT
Ok.  Approving. 

APPROVED.
Comment 5 Mamoru TASAKA 2010-09-07 16:19:12 EDT
Thank you!

New Package SCM Request
=======================
Package Name:        rubygem-ruby-debug
Short Description:   Command line interface (CLI) for ruby-debug-base
Owners:              mtasaka
Branches:            f12 f13 f14
InitialCC:
Comment 6 Kevin Fenzi 2010-09-08 14:02:44 EDT
Git done (by process-git-requests).
Comment 7 Mamoru TASAKA 2010-09-09 13:22:25 EDT
Rebuilt for F14/13/12, submitted push requests on bodhi, closing.

Thank you for reviewing and GIT procedure.

Note You need to log in before you can comment on or make changes to this bug.